Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.request
Class SaveTModel

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.request.Request
            |
            +--weblogic.uddi.client.structures.request.UpdateRequest
                  |
                  +--weblogic.uddi.client.structures.request.SaveTModel

public class SaveTModel
extends UpdateRequest

SaveTModel allows updating and registering of information about a tModel

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Fields inherited from class weblogic.uddi.client.structures.request.UpdateRequest
`authInfo`

Fields inherited from class weblogic.uddi.client.structures.request.Request
`generic, xmlns`

Constructor Summary
`SaveTModel()` Class Constructor

Method Summary
`void` | `addTModel(TModel tModel)` Add a new TModel to the currrent set of TModel
`void` | `addUploadRegister(UploadRegister uploadRegister)` Add a new UploadRegister to the current set of UploadRegister
`java.util.Vector` | `getTModelVector()` Gets the current set of TModel
`java.util.Vector` | `getUploadRegisterVector()` Gets the current set of UploadRegister
`void` | `setTModelVector(java.util.Vector vector)` Sets a new set of TModel
`void` | `setUploadRegisterVector(java.util.Vector vector)` Sets a new set of UploadRegister

Methods inherited from class weblogic.uddi.client.structures.request.UpdateRequest
`getAuthInfo, setAuthInfo`

Methods inherited from class weblogic.uddi.client.structures.request.Request
`getGeneric, getXMLns, setGeneric, setXMLns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveTModel

    public SaveTModel()

  Class Constructor

Method Detail

### addTModel

    public void addTModel(TModel tModel)

  Add a new TModel to the currrent set of TModel

  Parameters:
    `tModel` - New TModel

### setTModelVector

    public void setTModelVector(java.util.Vector vector)

  Sets a new set of TModel

  Parameters:
    `vector` - New set of TModel

### getTModelVector

    public java.util.Vector getTModelVector()

  Gets the current set of TModel

  Returns:
    Current set of TModel

### addUploadRegister

    public void addUploadRegister(UploadRegister uploadRegister)

  Add a new UploadRegister to the current set of UploadRegister

  Parameters:
    `uploadRegister` - New UploadRegister

### setUploadRegisterVector

    public void setUploadRegisterVector(java.util.Vector vector)

  Sets a new set of UploadRegister

  Parameters:
    `vector` - New set of UploadRegister

### getUploadRegisterVector

    public java.util.Vector getUploadRegisterVector()

  Gets the current set of UploadRegister

  Returns:
    Current set of UploadRegister

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference